Browse & search

Folder listings, recent and starred files, what's shared with you and by you, search, your storage use, and finding people to share with.

MethodPathSummary
GET/api/v2/meWho you are and your Drive settings
GET/api/v2/usageYour storage use
GET/api/v2/listList a folder
GET/api/v2/recentRecent files
GET/api/v2/starredStarred items
GET/api/v2/sharedShared with you
GET/api/v2/shared-by-meShared by you
GET/api/v2/searchSearch files and folders
GET/api/v2/peopleFind people and groups to share with

#Who you are and your Drive settings

GET/api/v2/me
Address
https://<your-org>.brambleit.cloud/drive/api/v2/me
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Response 200

FieldTypeDescription
userobject
user.idinteger
user.namestring
user.first_namestring
user.emailstring
librariesarray of any
usageany
settingsobject
settings.links_enabledboolean
settings.link_max_daysinteger
settings.trash_daysinteger
settings.quick_shareany
settings.quick_share_max_daysinteger
Example response
JSON
{
  "user": {
    "id": 42,
    "name": "Example name",
    "first_name": "Alex",
    "email": "alex@example.com"
  },
  "libraries": [],
  "usage": null,
  "settings": {
    "links_enabled": true,
    "link_max_days": 1,
    "trash_days": 1,
    "quick_share": null,
    "quick_share_max_days": 1
  }
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/me' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Your storage use

GET/api/v2/usage
Address
https://<your-org>.brambleit.cloud/drive/api/v2/usage
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Response 200

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/usage' \
  -H "X-API-Key: $BRAMBLE_KEY"

#List a folder

GET/api/v2/list
Address
https://<your-org>.brambleit.cloud/drive/api/v2/list
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Query parameters

NameTypeDescription
parentanyThe folder's id. Leave out for the top of the space.
parent_idinteger
siteanyA library's id. Leave out for your personal files.
site_idinteger

Response 200

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/list' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Recent files

GET/api/v2/recent
Address
https://<your-org>.brambleit.cloud/drive/api/v2/recent
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Response 200

FieldTypeDescription
itemsarray of any
locationsarray of any
Example response
JSON
{
  "items": [],
  "locations": []
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/recent' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Starred items

GET/api/v2/starred
Address
https://<your-org>.brambleit.cloud/drive/api/v2/starred
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Response 200

FieldTypeDescription
itemsarray of any
locationsarray of any
Example response
JSON
{
  "items": [],
  "locations": []
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/starred' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Shared with you

GET/api/v2/shared
Address
https://<your-org>.brambleit.cloud/drive/api/v2/shared
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Response 200

FieldTypeDescription
itemsarray of any
Example response
JSON
{
  "items": []
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/shared' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Shared by you

GET/api/v2/shared-by-me
Address
https://<your-org>.brambleit.cloud/drive/api/v2/shared-by-me
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Response 200

FieldTypeDescription
itemsarray of any
locationsarray of any
Example response
JSON
{
  "items": [],
  "locations": []
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/shared-by-me' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Find people and groups to share with

GET/api/v2/people
Address
https://<your-org>.brambleit.cloud/drive/api/v2/people
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.

Query parameters

NameTypeDescription
qanyName or email to search for.

Response 200

FieldTypeDescription
resultsarray of any
Example response
JSON
{
  "results": []
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/people' \
  -H "X-API-Key: $BRAMBLE_KEY"